Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231229 - Bad URLs in RPM Guide
Summary: Bad URLs in RPM Guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: rpm-guide
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Cotton
QA Contact: Pete Travis
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 21:26 UTC by Raffael Luthiger
Modified: 2012-07-30 19:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-30 19:28:51 UTC


Attachments (Terms of Use)

Description Raffael Luthiger 2007-03-06 21:26:19 UTC
Description of problem:
The first URL in the chapter 25.1.4 of the RPM Guide (
http://fedora.redhat.com/docs/drafts/rpm-guide-en/ch-online-resources.html#id3057699
) does not exist anymore.

Furthermore it would be good if the URLs are linked.

Comment 1 Greg Morgan 2007-12-18 05:56:03 UTC
http://docs.fedoraproject.org/drafts/rpm-guide-en/ch-extra-packaging-tools.html
In the section 12.1.1. Using VIM spec plugins to improve spec file editing

The line that says, "Download the spec.vim syntax file for VIM from
http://pegasus.rutgers.edu/~elflord/vim/syntax/spec.vim."

should change to 
http://www.panix.com/~elflord/vim/syntax/spec.vim

as it looks like Donovan Rebbechi is now publishing the file from there.


Comment 2 eric@christensenplace.us 2009-07-10 02:21:35 UTC
This guide is being resurrected.  Reassigned all tickets to developer.

Comment 3 Ben Cotton 2010-05-13 01:21:01 UTC
Comment 1 split into a new bug (https://bugzilla.redhat.com/show_bug.cgi?id=591753).  It is an easy fix, whereas the original report will require some research and/or re-working of the section.  From my perspective, it seems sensible to handle them separately.

Comment 4 Ben Cotton 2012-07-30 15:32:47 UTC
Changed the specified link to one that exists (may or may not be the same content, but it's a similar tool). Added links to URLs in section 25.1.4. Further addition of links will occur as I go through the guide to clean up the content.

Passing to Docs QA for verification.

Comment 5 Pete Travis 2012-07-30 18:23:53 UTC
commit 02a91a35b2ccb188e0c774a4977afb09d64b973c should take care of this. I see you're working on other URLs, but there's no reason to hold this open categorically.

Comment 6 Ben Cotton 2012-07-30 19:28:51 UTC
Updated version is on the web. I'll close this bug and continue to work on updating the guide as time allows.


Note You need to log in before you can comment on or make changes to this bug.